diff --git a/gettext-tools/src/msgfmt.c b/gettext-tools/src/msgfmt.c
index d016c47ea..b42fd68c3 100644
--- a/gettext-tools/src/msgfmt.c
+++ b/gettext-tools/src/msgfmt.c
@@ -44,9 +44,6 @@
 #include "xalloc.h"
 #include "msgfmt.h"
 #include "write-mo.h"
-#include "write-java.h"
-#include "write-csharp.h"
-#include "write-resources.h"
 #include "write-tcl.h"
 #include "write-qt.h"
 #include "write-desktop.h"
@@ -84,23 +81,6 @@ static bool include_untranslated = false;
 /* Specifies name of the output file.  */
 static const char *output_file_name;
 
-/* Java mode output file specification.  */
-static bool java_mode;
-static bool assume_java2;
-static const char *java_resource_name;
-static const char *java_locale_name;
-static const char *java_class_directory;
-static bool java_output_source;
-
-/* C# mode output file specification.  */
-static bool csharp_mode;
-static const char *csharp_resource_name;
-static const char *csharp_locale_name;
-static const char *csharp_base_directory;
-
-/* C# resources mode output file specification.  */
-static bool csharp_resources_mode;
-
 /* Tcl mode output file specification.  */
 static bool tcl_mode;
 static const char *tcl_locale_name;
@@ -186,14 +166,10 @@ static const struct option long_options[] =
   { "check-domain", no_argument, NULL, CHAR_MAX + 2 },
   { "check-format", no_argument, NULL, CHAR_MAX + 3 },
   { "check-header", no_argument, NULL, CHAR_MAX + 4 },
-  { "csharp", no_argument, NULL, CHAR_MAX + 10 },
-  { "csharp-resources", no_argument, NULL, CHAR_MAX + 11 },
   { "desktop", no_argument, NULL, CHAR_MAX + 15 },
   { "directory", required_argument, NULL, 'D' },
   { "endianness", required_argument, NULL, CHAR_MAX + 13 },
   { "help", no_argument, NULL, 'h' },
-  { "java", no_argument, NULL, 'j' },
-  { "java2", no_argument, NULL, CHAR_MAX + 5 },
   { "keyword", required_argument, NULL, 'k' },
   { "language", required_argument, NULL, 'L' },
   { "locale", required_argument, NULL, 'l' },
@@ -296,8 +272,6 @@ main (int argc, char *argv[])
         check_compatibility = true;
         break;
       case 'd':
-        java_class_directory = optarg;
-        csharp_base_directory = optarg;
         tcl_base_directory = optarg;
         desktop_base_directory = optarg;
         xml_base_directory = optarg;
@@ -311,9 +285,6 @@ main (int argc, char *argv[])
       case 'h':
         do_help = true;
         break;
-      case 'j':
-        java_mode = true;
-        break;
       case 'k':
         if (optarg == NULL)
           desktop_default_keywords = false;
@@ -329,8 +300,6 @@ main (int argc, char *argv[])
           }
         break;
       case 'l':
-        java_locale_name = optarg;
-        csharp_locale_name = optarg;
         tcl_locale_name = optarg;
         desktop_locale_name = optarg;
         xml_locale_name = optarg;
@@ -344,10 +313,6 @@ main (int argc, char *argv[])
       case 'P':
         input_syntax = &input_format_properties;
         break;
-      case 'r':
-        java_resource_name = optarg;
-        csharp_resource_name = optarg;
-        break;
       case 'S':
         strict_uniforum = true;
         break;
@@ -382,10 +347,6 @@ main (int argc, char *argv[])
       case CHAR_MAX + 4: /* --check-header */
         check_header = true;
         break;
-      case CHAR_MAX + 5: /* --java2 */
-        java_mode = true;
-        assume_java2 = true;
-        break;
       case CHAR_MAX + 6: /* --no-hash */
         no_hash_table = true;
         break;
@@ -398,12 +359,6 @@ main (int argc, char *argv[])
       case CHAR_MAX + 9: /* --qt */
         qt_mode = true;
         break;
-      case CHAR_MAX + 10: /* --csharp */
-        csharp_mode = true;
-        break;
-      case CHAR_MAX + 11: /* --csharp-resources */
-        csharp_resources_mode = true;
-        break;
       case CHAR_MAX + 12: /* --use-untranslated (undocumented) */
         include_untranslated = true;
         break;
@@ -421,9 +376,6 @@ main (int argc, char *argv[])
           byteswap = endianness ^ ENDIANNESS;
         }
         break;
-      case CHAR_MAX + 14: /* --source */
-        java_output_source = true;
-        break;
       case CHAR_MAX + 15: /* --desktop */
         desktop_mode = true;
         break;
@@ -476,15 +428,12 @@ There is NO WARRANTY, to the extent permitted by law.\n\
   /* Check for contradicting options.  */
   {
     unsigned int modes =
-      (java_mode ? 1 : 0)
-      | (csharp_mode ? 2 : 0)
-      | (csharp_resources_mode ? 4 : 0)
-      | (tcl_mode ? 8 : 0)
+      (tcl_mode ? 8 : 0)
       | (qt_mode ? 16 : 0)
       | (desktop_mode ? 32 : 0)
       | (xml_mode ? 64 : 0);
     static const char *mode_options[] =
-      { "--java", "--csharp", "--csharp-resources", "--tcl", "--qt",
+      { "--tcl", "--qt",
         "--desktop", "--xml" };
     /* More than one bit set?  */
     if (modes & (modes - 1))
@@ -504,44 +453,7 @@ There is NO WARRANTY, to the extent permitted by law.\n\
                first_option, second_option);
       }
   }
-  if (java_mode)
-    {
-      if (output_file_name != NULL)
-        {
-          error (EXIT_FAILURE, 0, _("%s and %s are mutually exclusive"),
-                 "--java", "--output-file");
-        }
-      if (java_class_directory == NULL)
-        {
-          error (EXIT_SUCCESS, 0,
-                 _("%s requires a \"-d directory\" specification"),
-                 "--java");
-          usage (EXIT_FAILURE);
-        }
-    }
-  else if (csharp_mode)
-    {
-      if (output_file_name != NULL)
-        {
-          error (EXIT_FAILURE, 0, _("%s and %s are mutually exclusive"),
-                 "--csharp", "--output-file");
-        }
-      if (csharp_locale_name == NULL)
-        {
-          error (EXIT_SUCCESS, 0,
-                 _("%s requires a \"-l locale\" specification"),
-                 "--csharp");
-          usage (EXIT_FAILURE);
-        }
-      if (csharp_base_directory == NULL)
-        {
-          error (EXIT_SUCCESS, 0,
-                 _("%s requires a \"-d directory\" specification"),
-                 "--csharp");
-          usage (EXIT_FAILURE);
-        }
-    }
-  else if (tcl_mode)
+  if (tcl_mode)
     {
       if (output_file_name != NULL)
         {
@@ -619,27 +531,6 @@ There is NO WARRANTY, to the extent permitted by law.\n\
           usage (EXIT_FAILURE);
         }
     }
-  else
-    {
-      if (java_resource_name != NULL)
-        {
-          error (EXIT_SUCCESS, 0, _("%s is only valid with %s or %s"),
-                 "--resource", "--java", "--csharp");
-          usage (EXIT_FAILURE);
-        }
-      if (java_locale_name != NULL)
-        {
-          error (EXIT_SUCCESS, 0, _("%s is only valid with %s, %s or %s"),
-                 "--locale", "--java", "--csharp", "--tcl");
-          usage (EXIT_FAILURE);
-        }
-      if (java_class_directory != NULL)
-        {
-          error (EXIT_SUCCESS, 0, _("%s is only valid with %s, %s or %s"),
-                 "-d", "--java", "--csharp", "--tcl");
-          usage (EXIT_FAILURE);
-        }
-    }
 
   if (desktop_mode && desktop_default_keywords)
     {
@@ -728,7 +619,7 @@ There is NO WARRANTY, to the extent permitted by law.\n\
   if (output_file_name != NULL)
     current_domain =
       new_domain (output_file_name,
-                  strict_uniforum && !csharp_resources_mode && !qt_mode
+                  strict_uniforum && !qt_mode
                   ? add_mo_suffix (output_file_name)
                   : output_file_name);
 
@@ -782,29 +673,7 @@ There is NO WARRANTY, to the extent permitted by law.\n\
   /* Now write out all domains.  */
   for (domain = domain_list; domain != NULL; domain = domain->next)
     {
-      if (java_mode)
-        {
-          if (msgdomain_write_java (domain->mlp, canon_encoding,
-                                    java_resource_name, java_locale_name,
-                                    java_class_directory, assume_java2,
-                                    java_output_source))
-            exit_status = EXIT_FAILURE;
-        }
-      else if (csharp_mode)
-        {
-          if (msgdomain_write_csharp (domain->mlp, canon_encoding,
-                                      csharp_resource_name, csharp_locale_name,
-                                      csharp_base_directory))
-            exit_status = EXIT_FAILURE;
-        }
-      else if (csharp_resources_mode)
-        {
-          if (msgdomain_write_csharp_resources (domain->mlp, canon_encoding,
-                                                domain->domain_name,
-                                                domain->file_name))
-            exit_status = EXIT_FAILURE;
-        }
-      else if (tcl_mode)
+      if (tcl_mode)
         {
           if (msgdomain_write_tcl (domain->mlp, canon_encoding,
                                    tcl_locale_name, tcl_base_directory))
@@ -929,14 +798,6 @@ If input file is -, standard input is read.\n"));
       printf (_("\
 Operation mode:\n"));
       printf (_("\
-  -j, --java                  Java mode: generate a Java ResourceBundle class\n"));
-      printf (_("\
-      --java2                 like --java, and assume Java2 (JDK 1.2 or higher)\n"));
-      printf (_("\
-      --csharp                C# mode: generate a .NET .dll file\n"));
-      printf (_("\
-      --csharp-resources      C# resources mode: generate a .NET .resources file\n"));
-      printf (_("\
       --tcl                   Tcl mode: generate a tcl/msgcat .msg file\n"));
       printf (_("\
       --qt                    Qt mode: generate a Qt .qm file\n"));
@@ -955,22 +816,6 @@ Output file location:\n"));
 If output file is -, output is written to standard output.\n"));
       printf ("\n");
       printf (_("\
-Output file location in Java mode:\n"));
-      printf (_("\
-  -r, --resource=RESOURCE     resource name\n"));
-      printf (_("\
-  -l, --locale=LOCALE         locale name, either language or language_COUNTRY\n"));
-      printf (_("\
-      --source                produce a .java file, instead of a .class file\n"));
-      printf (_("\
-  -d DIRECTORY                base directory of classes directory hierarchy\n"));
-      printf (_("\
-The class name is determined by appending the locale name to the resource name,\n\
-separated with an underscore.  The -d option is mandatory.  The class is\n\
-written under the specified directory.\n\
-"));
-      printf ("\n");
-      printf (_("\
 Output file location in C# mode:\n"));
       printf (_("\
   -r, --resource=RESOURCE     resource name\n"));
@@ -1028,8 +873,6 @@ files are read from the directory instead of the command line arguments.\n"));
       printf (_("\
 Input file syntax:\n"));
       printf (_("\
-  -P, --properties-input      input files are in Java .properties syntax\n"));
-      printf (_("\
       --stringtable-input     input files are in NeXTstep/GNUstep .strings\n\
                               syntax\n"));
       printf ("\n");
@@ -1201,8 +1044,8 @@ msgfmt_set_domain (default_catalog_reader_ty *this, char *name)
 {
   /* If no output file was given, we change it with each 'domain'
      directive.  */
-  if (!java_mode && !csharp_mode && !csharp_resources_mode && !tcl_mode
-      && !qt_mode && !desktop_mode && !xml_mode && output_file_name == NULL)
+  if (!tcl_mode && !qt_mode && !desktop_mode && !xml_mode 
+      && output_file_name == NULL)
     {
       size_t correct;
 
diff --git a/gettext-tools/src/msgunfmt.c b/gettext-tools/src/msgunfmt.c
index 9406ec8d2..39e919347 100644
--- a/gettext-tools/src/msgunfmt.c
+++ b/gettext-tools/src/msgunfmt.c
@@ -38,8 +38,6 @@
 #include "message.h"
 #include "msgunfmt.h"
 #include "read-mo.h"
-#include "read-java.h"
-#include "read-csharp.h"
 #include "read-resources.h"
 #include "read-tcl.h"
 #include "write-catalog.h"
@@ -55,20 +53,6 @@
 /* Be more verbose.  */
 bool verbose;
 
-/* Java mode input file specification.  */
-static bool java_mode;
-static const char *java_resource_name;
-static const char *java_locale_name;
-
-/* C# mode input file specification.  */
-static bool csharp_mode;
-static const char *csharp_resource_name;
-static const char *csharp_locale_name;
-static const char *csharp_base_directory;
-
-/* C# resources mode input file specification.  */
-static bool csharp_resources_mode;
-
 /* Tcl mode input file specification.  */
 static bool tcl_mode;
 static const char *tcl_locale_name;
@@ -81,13 +65,10 @@ static int force_po;
 static const struct option long_options[] =
 {
   { "color", optional_argument, NULL, CHAR_MAX + 6 },
-  { "csharp", no_argument, NULL, CHAR_MAX + 4 },
-  { "csharp-resources", no_argument, NULL, CHAR_MAX + 5 },
   { "escape", no_argument, NULL, 'E' },
   { "force-po", no_argument, &force_po, 1 },
   { "help", no_argument, NULL, 'h' },
   { "indent", no_argument, NULL, 'i' },
-  { "java", no_argument, NULL, 'j' },
   { "locale", required_argument, NULL, 'l' },
   { "no-escape", no_argument, NULL, 'e' },
   { "no-wrap", no_argument, NULL, CHAR_MAX + 2 },
@@ -151,7 +132,6 @@ main (int argc, char **argv)
         break;
 
       case 'd':
-        csharp_base_directory = optarg;
         tcl_base_directory = optarg;
         break;
 
@@ -171,13 +151,7 @@ main (int argc, char **argv)
         message_print_style_indent ();
         break;
 
-      case 'j':
-        java_mode = true;
-        break;
-
       case 'l':
-        java_locale_name = optarg;
-        csharp_locale_name = optarg;
         tcl_locale_name = optarg;
         break;
 
@@ -190,8 +164,6 @@ main (int argc, char **argv)
         break;
 
       case 'r':
-        java_resource_name = optarg;
-        csharp_resource_name = optarg;
         break;
 
       case 's':
@@ -232,14 +204,6 @@ main (int argc, char **argv)
         output_syntax = &output_format_stringtable;
         break;
 
-      case CHAR_MAX + 4: /* --csharp */
-        csharp_mode = true;
-        break;
-
-      case CHAR_MAX + 5: /* --csharp-resources */
-        csharp_resources_mode = true;
-        break;
-
       case CHAR_MAX + 6: /* --color */
         if (handle_color_option (optarg) || color_test_mode)
           usage (EXIT_FAILURE);
@@ -276,12 +240,9 @@ There is NO WARRANTY, to the extent permitted by law.\n\
   /* Check for contradicting options.  */
   {
     unsigned int modes =
-      (java_mode ? 1 : 0)
-      | (csharp_mode ? 2 : 0)
-      | (csharp_resources_mode ? 4 : 0)
-      | (tcl_mode ? 8 : 0);
+        (tcl_mode ? 8 : 0);
     static const char *mode_options[] =
-      { "--java", "--csharp", "--csharp-resources", "--tcl" };
+      { "--tcl" };
     /* More than one bit set?  */
     if (modes & (modes - 1))
       {
@@ -300,39 +261,7 @@ There is NO WARRANTY, to the extent permitted by law.\n\
                first_option, second_option);
       }
   }
-  if (java_mode)
-    {
-      if (optind < argc)
-        {
-          error (EXIT_FAILURE, 0,
-                 _("%s and explicit file names are mutually exclusive"),
-                 "--java");
-        }
-    }
-  else if (csharp_mode)
-    {
-      if (optind < argc)
-        {
-          error (EXIT_FAILURE, 0,
-                 _("%s and explicit file names are mutually exclusive"),
-                 "--csharp");
-        }
-      if (csharp_locale_name == NULL)
-        {
-          error (EXIT_SUCCESS, 0,
-                 _("%s requires a \"-l locale\" specification"),
-                 "--csharp");
-          usage (EXIT_FAILURE);
-        }
-      if (csharp_base_directory == NULL)
-        {
-          error (EXIT_SUCCESS, 0,
-                 _("%s requires a \"-d directory\" specification"),
-                 "--csharp");
-          usage (EXIT_FAILURE);
-        }
-    }
-  else if (tcl_mode)
+  if (tcl_mode)
     {
       if (optind < argc)
         {
@@ -355,33 +284,9 @@ There is NO WARRANTY, to the extent permitted by law.\n\
           usage (EXIT_FAILURE);
         }
     }
-  else
-    {
-      if (java_resource_name != NULL)
-        {
-          error (EXIT_SUCCESS, 0, _("%s is only valid with %s or %s"),
-                 "--resource", "--java", "--csharp");
-          usage (EXIT_FAILURE);
-        }
-      if (java_locale_name != NULL)
-        {
-          error (EXIT_SUCCESS, 0, _("%s is only valid with %s or %s"),
-                 "--locale", "--java", "--csharp");
-          usage (EXIT_FAILURE);
-        }
-    }
 
   /* Read the given .mo file. */
-  if (java_mode)
-    {
-      result = msgdomain_read_java (java_resource_name, java_locale_name);
-    }
-  else if (csharp_mode)
-    {
-      result = msgdomain_read_csharp (csharp_resource_name, csharp_locale_name,
-                                      csharp_base_directory);
-    }
-  else if (tcl_mode)
+  if (tcl_mode)
     {
       result = msgdomain_read_tcl (tcl_locale_name, tcl_base_directory);
     }
@@ -438,12 +343,6 @@ Mandatory arguments to long options are mandatory for short options too.\n"));
       printf (_("\
 Operation mode:\n"));
       printf (_("\
-  -j, --java                  Java mode: input is a Java ResourceBundle class\n"));
-      printf (_("\
-      --csharp                C# mode: input is a .NET .dll file\n"));
-      printf (_("\
-      --csharp-resources      C# resources mode: input is a .NET .resources file\n"));
-      printf (_("\
       --tcl                   Tcl mode: input is a tcl/msgcat .msg file\n"));
       printf ("\n");
       printf (_("\
@@ -454,8 +353,6 @@ Input file location:\n"));
 If no input file is given or if it is -, standard input is read.\n"));
       printf ("\n");
       printf (_("\
-Input file location in Java mode:\n"));
-      printf (_("\
   -r, --resource=RESOURCE     resource name\n"));
       printf (_("\
   -l, --locale=LOCALE         locale name, either language or language_COUNTRY\n"));
@@ -513,8 +410,6 @@ Output details:\n"));
       printf (_("\
       --strict                write strict uniforum style\n"));
       printf (_("\
-  -p, --properties-output     write out a Java .properties file\n"));
-      printf (_("\
       --stringtable-output    write out a NeXTstep/GNUstep .strings file\n"));
       printf (_("\
   -w, --width=NUMBER          set output page width\n"));
@@ -552,8 +447,5 @@ or by email to <%s>.\n"),
 static void
 read_one_file (message_list_ty *mlp, const char *filename)
 {
-  if (csharp_resources_mode)
-    read_resources_file (mlp, filename);
-  else
-    read_mo_file (mlp, filename);
+  read_mo_file (mlp, filename);
 }
diff --git a/gettext-tools/src/urlget.c b/gettext-tools/src/urlget.c
index c47f27e12..213ae32e1 100644
--- a/gettext-tools/src/urlget.c
+++ b/gettext-tools/src/urlget.c
@@ -38,7 +38,6 @@
 #include "basename.h"
 #include "full-write.h"
 #include "execute.h"
-#include "javaexec.h"
 #include "binary-io.h"
 #include "propername.h"
 #include "gettext.h"
@@ -52,8 +51,7 @@
 
 /* Only high-level toolkits, written in languages with exception handling,
    have an URL datatype and operations to fetch an URL's contents.  Such
-   toolkits are Java (class java.net.URL), Qt (classes QUrl and QUrlOperator).
-   We use the Java toolkit.
+   toolkits are Qt (classes QUrl and QUrlOperator).
    Note that this program doesn't handle redirection pages; programs which
    wish to process HTML redirection tags need to include a HTML parser,
    and only full-fledged browsers like w3m, lynx, links have have both
@@ -241,27 +239,6 @@ cat_file (const char *src_filename)
     error (EXIT_FAILURE, errno, _("error after reading \"%s\""), src_filename);
 }
 
-#if USEJAVA
-
-/* Exit code of the Java program.  */
-static int java_exitcode;
-
-static bool
-execute_it (const char *progname,
-            const char *prog_path, char **prog_argv,
-            void *private_data)
-{
-  (void) private_data;
-
-  java_exitcode =
-    execute (progname, prog_path, prog_argv, true, true, false, false, true,
-             false, NULL);
-  /* Exit code 0 means success, 2 means timed out.  */
-  return !(java_exitcode == 0 || java_exitcode == 2);
-}
-
-#endif
-
 /* Fetch the URL.  Upon error, use the FILE as fallback.  */
 static void
 fetch (const char *url, const char *file)
@@ -272,42 +249,6 @@ fetch (const char *url, const char *file)
       fflush (stderr);
     }
 
-#if USEJAVA
-  /* First try: using Java.  */
-  {
-    const char *class_name = "gnu.gettext.GetURL";
-    const char *gettextjar;
-    const char *args[2];
-
-    /* Make it possible to override the gettext.jar location.  This is
-       necessary for running the testsuite before "make install".  */
-    gettextjar = getenv ("GETTEXTJAR");
-    if (gettextjar == NULL || gettextjar[0] == '\0')
-      gettextjar = relocate (GETTEXTJAR);
-
-    /* Prepare arguments.  */
-    args[0] = url;
-    args[1] = NULL;
-
-    /* Fetch the URL's contents.  */
-    java_exitcode = 127;
-    if (!execute_java_class (class_name, &gettextjar, 1, true, NULL,
-                             args,
-                             false, true,
-                             execute_it, NULL))
-      {
-        if (verbose)
-          {
-            if (java_exitcode == 0)
-              fprintf (stderr, _(" done.\n"));
-            else if (java_exitcode == 2)
-              fprintf (stderr, _(" timed out.\n"));
-          }
-        return;
-      }
-  }
-#endif
-
   /* Second try: using "wget -q -O - -T 30 url".  */
   {
     static bool wget_tested;
diff --git a/gettext-tools/src/write-catalog.c b/gettext-tools/src/write-catalog.c
index 504bbaccd..c60979bb5 100644
--- a/gettext-tools/src/write-catalog.c
+++ b/gettext-tools/src/write-catalog.c
@@ -189,12 +189,6 @@ msgdomain_list_print (msgdomain_list_ty *mdlp, const char *filename,
           if (has_plural != NULL)
             {
               error_with_progname = false;
-              if (output_syntax->alternative_is_java_class)
-                po_xerror (PO_SEVERITY_FATAL_ERROR, NULL,
-                           has_plural->file_name, has_plural->line_number,
-                           (size_t)(-1), false,
-                           _("message catalog has plural form translations, but the output format does not support them. Try generating a Java class using \"msgfmt --java\", instead of a properties file."));
-              else
                 po_xerror (PO_SEVERITY_FATAL_ERROR, NULL,
                            has_plural->file_name, has_plural->line_number,
                            (size_t)(-1), false,
diff --git a/gettext-tools/src/write-catalog.h b/gettext-tools/src/write-catalog.h
index 5813429fb..a01dcf2be 100644
--- a/gettext-tools/src/write-catalog.h
+++ b/gettext-tools/src/write-catalog.h
@@ -57,10 +57,6 @@ struct catalog_output_format
   /* Whether the PO file format is a suitable alternative output format for
      this one.  */
   bool alternative_is_po;
-
-  /* Whether a Java class is a suitable alternative output format for this
-     one.  */
-  bool alternative_is_java_class;
 };
 
 typedef const struct catalog_output_format * catalog_output_format_ty;
diff --git a/gettext-tools/src/xgettext.c b/gettext-tools/src/xgettext.c
index e2e4525de..35baa93b0 100644
--- a/gettext-tools/src/xgettext.c
+++ b/gettext-tools/src/xgettext.c
@@ -74,7 +74,6 @@
 #include "po-time.h"
 #include "write-catalog.h"
 #include "write-po.h"
-#include "write-properties.h"
 #include "write-stringtable.h"
 #include "format.h"
 #include "propername.h"
@@ -97,9 +96,6 @@
 #include "x-librep.h"
 #include "x-scheme.h"
 #include "x-smalltalk.h"
-#include "x-java.h"
-#include "x-properties.h"
-#include "x-csharp.h"
 #include "x-appdata.h"
 #include "x-awk.h"
 #include "x-ycp.h"
@@ -179,8 +175,6 @@ static flag_context_list_table_ty flag_table_lisp;
 static flag_context_list_table_ty flag_table_elisp;
 static flag_context_list_table_ty flag_table_librep;
 static flag_context_list_table_ty flag_table_scheme;
-static flag_context_list_table_ty flag_table_java;
-static flag_context_list_table_ty flag_table_csharp;
 static flag_context_list_table_ty flag_table_awk;
 static flag_context_list_table_ty flag_table_ycp;
 static flag_context_list_table_ty flag_table_tcl;
@@ -358,8 +352,6 @@ main (int argc, char *argv[])
   init_flag_table_elisp ();
   init_flag_table_librep ();
   init_flag_table_scheme ();
-  init_flag_table_java ();
-  init_flag_table_csharp ();
   init_flag_table_awk ();
   init_flag_table_ycp ();
   init_flag_table_tcl ();
@@ -385,8 +377,6 @@ main (int argc, char *argv[])
         x_elisp_extract_all ();
         x_librep_extract_all ();
         x_scheme_extract_all ();
-        x_java_extract_all ();
-        x_csharp_extract_all ();
         x_awk_extract_all ();
         x_tcl_extract_all ();
         x_perl_extract_all ();
@@ -464,8 +454,6 @@ main (int argc, char *argv[])
         x_elisp_keyword (optarg);
         x_librep_keyword (optarg);
         x_scheme_keyword (optarg);
-        x_java_keyword (optarg);
-        x_csharp_keyword (optarg);
         x_awk_keyword (optarg);
         x_tcl_keyword (optarg);
         x_perl_keyword (optarg);
@@ -1063,8 +1051,8 @@ Choice of input file language:\n"));
       printf (_("\
   -L, --language=NAME         recognise the specified language\n\
                                 (C, C++, ObjectiveC, PO, Shell, Python, Lisp,\n\
-                                EmacsLisp, librep, Scheme, Smalltalk, Java,\n\
-                                JavaProperties, C#, awk, YCP, Tcl, Perl, PHP,\n\
+                                EmacsLisp, librep, Scheme, Smalltalk, \n\
+                                awk, YCP, Tcl, Perl, PHP,\n\
                                 GCC-source, NXStringTable, RST, RSJ, Glade,\n\
                                 Lua, JavaScript, Vala, Desktop)\n"));
       printf (_("\
@@ -1106,7 +1094,7 @@ Language specific options:\n"));
   -a, --extract-all           extract all strings\n"));
       printf (_("\
                                 (only languages C, C++, ObjectiveC, Shell,\n\
-                                Python, Lisp, EmacsLisp, librep, Scheme, Java,\n\
+                                Python, Lisp, EmacsLisp, librep, Scheme, \n\
                                 C#, awk, Tcl, Perl, PHP, GCC-source, Glade,\n\
                                 Lua, JavaScript, Vala)\n"));
       printf (_("\
@@ -1114,7 +1102,7 @@ Language specific options:\n"));
   -k, --keyword               do not to use default keywords\n"));
       printf (_("\
                                 (only languages C, C++, ObjectiveC, Shell,\n\
-                                Python, Lisp, EmacsLisp, librep, Scheme, Java,\n\
+                                Python, Lisp, EmacsLisp, librep, Scheme, \n\
                                 C#, awk, Tcl, Perl, PHP, GCC-source, Glade,\n\
                                 Lua, JavaScript, Vala, Desktop)\n"));
       printf (_("\
@@ -1122,7 +1110,7 @@ Language specific options:\n"));
                               number ARG of keyword WORD\n"));
       printf (_("\
                                 (only languages C, C++, ObjectiveC, Shell,\n\
-                                Python, Lisp, EmacsLisp, librep, Scheme, Java,\n\
+                                Python, Lisp, EmacsLisp, librep, Scheme, \n\
                                 C#, awk, YCP, Tcl, Perl, PHP, GCC-source,\n\
                                 Lua, JavaScript, Vala)\n"));
       printf (_("\
@@ -1171,8 +1159,6 @@ Output details:\n"));
       printf (_("\
       --strict                write out strict Uniforum conforming .po file\n"));
       printf (_("\
-      --properties-output     write out a Java .properties file\n"));
-      printf (_("\
       --stringtable-output    write out a NeXTstep/GNUstep .strings file\n"));
       printf (_("\
       --itstool               write out itstool comments\n"));
@@ -1500,21 +1486,6 @@ xgettext_record_flag (const char *optionstring)
                     break;
                   case format_smalltalk:
                     break;
-                  case format_java:
-                    flag_context_list_table_insert (&flag_table_java, 0,
-                                                    name_start, name_end,
-                                                    argnum, value, pass);
-                    break;
-                  case format_java_printf:
-                    flag_context_list_table_insert (&flag_table_java, 1,
-                                                    name_start, name_end,
-                                                    argnum, value, pass);
-                    break;
-                  case format_csharp:
-                    flag_context_list_table_insert (&flag_table_csharp, 0,
-                                                    name_start, name_end,
-                                                    argnum, value, pass);
-                    break;
                   case format_awk:
                     flag_context_list_table_insert (&flag_table_awk, 0,
                                                     name_start, name_end,
@@ -2038,9 +2009,6 @@ language_to_extractor (const char *name)
     SCANNERS_LIBREP
     SCANNERS_SCHEME
     SCANNERS_SMALLTALK
-    SCANNERS_JAVA
-    SCANNERS_PROPERTIES
-    SCANNERS_CSHARP
     SCANNERS_AWK
     SCANNERS_YCP
     SCANNERS_TCL
@@ -2128,9 +2096,6 @@ extension_to_language (const char *extension)
     EXTENSIONS_LIBREP
     EXTENSIONS_SCHEME
     EXTENSIONS_SMALLTALK
-    EXTENSIONS_JAVA
-    EXTENSIONS_PROPERTIES
-    EXTENSIONS_CSHARP
     EXTENSIONS_AWK
     EXTENSIONS_YCP
     EXTENSIONS_TCL
diff --git a/gettext-tools/tests/Makefile.am b/gettext-tools/tests/Makefile.am
index b2bd779e4..168be49c6 100644
--- a/gettext-tools/tests/Makefile.am
+++ b/gettext-tools/tests/Makefile.am
@@ -69,8 +69,6 @@ TESTS = gettext-1 gettext-2 \
 	msgmerge-update-1 msgmerge-update-2 msgmerge-update-3 \
 	msgmerge-update-4 \
 	msgunfmt-1 msgunfmt-2 msgunfmt-3 \
-	msgunfmt-csharp-1 \
-	msgunfmt-java-1 \
 	msgunfmt-properties-1 \
 	msgunfmt-tcl-1 \
 	msguniq-1 msguniq-2 msguniq-3 msguniq-4 msguniq-5 msguniq-6 msguniq-7 \
@@ -88,14 +86,9 @@ TESTS = gettext-1 gettext-2 \
 	xgettext-c-format-4 xgettext-c-format-5 \
 	xgettext-c-ctxt-1 xgettext-c-ctxt-2 xgettext-c-ctxt-3 \
 	xgettext-c-c++-1 xgettext-c-c++-2 \
-	xgettext-csharp-1 xgettext-csharp-2 xgettext-csharp-3 \
-	xgettext-csharp-4 xgettext-csharp-5 xgettext-csharp-6 \
-	xgettext-csharp-7 xgettext-csharp-8 \
 	xgettext-elisp-1 xgettext-elisp-2 \
 	xgettext-glade-1 xgettext-glade-2 xgettext-glade-3 xgettext-glade-4 \
 	xgettext-glade-5 xgettext-glade-6 xgettext-glade-7 \
-	xgettext-java-1 xgettext-java-2 xgettext-java-3 xgettext-java-4 \
-	xgettext-java-5 xgettext-java-6 xgettext-java-7 \
 	xgettext-librep-1 xgettext-librep-2 \
 	xgettext-lisp-1 xgettext-lisp-2 \
 	xgettext-objc-1 xgettext-objc-2 \
@@ -127,12 +120,9 @@ TESTS = gettext-1 gettext-2 \
 	format-awk-1 format-awk-2 \
 	format-boost-1 format-boost-2 \
 	format-c-1 format-c-2 format-c-3 format-c-4 format-c-5 \
-	format-csharp-1 format-csharp-2 \
 	format-elisp-1 format-elisp-2 \
 	format-gcc-internal-1 format-gcc-internal-2 \
 	format-gfc-internal-1 format-gfc-internal-2 \
-	format-java-1 format-java-2 \
-	format-java-printf-1 format-java-printf-2 \
 	format-kde-1 format-kde-2 \
 	format-kde-kuit-1 format-kde-kuit-2 \
 	format-librep-1 format-librep-2 \
@@ -156,7 +146,7 @@ TESTS = gettext-1 gettext-2 \
 	gettextpo-1 sentence-1 \
 	lang-c lang-c++ lang-objc lang-sh lang-bash lang-python-1 \
 	lang-python-2 lang-clisp lang-elisp lang-librep lang-guile \
-	lang-smalltalk lang-java lang-csharp lang-gawk lang-pascal \
+	lang-smalltalk lang-gawk lang-pascal \
 	lang-ycp lang-tcl lang-perl-1 lang-perl-2 lang-php lang-po lang-rst \
 	lang-lua lang-javascript lang-vala \
 	autopoint-1 autopoint-2 autopoint-3 cldr-plurals-1
